All Classes Namespaces Functions Variables Pages
OutOfPlaneSite Class Reference

This is a VirtualSite that computes the particle location based on three other particles' locations. More...

Inheritance diagram for OutOfPlaneSite:

## Public Member Functions

def | getWeight12
| getWeight12(OutOfPlaneSite self) -> double More...
def | getWeight13
| getWeight13(OutOfPlaneSite self) -> double More...
def | getWeightCross
| getWeightCross(OutOfPlaneSite self) -> double More...
def | __init__
| init(OpenMM::OutOfPlaneSite self, int particle1, int particle2, int particle3, double weight12, double weight13, double weightCross) -> OutOfPlaneSite init(OpenMM::OutOfPlaneSite self, OutOfPlaneSite other) -> OutOfPlaneSite More...
def | __del__
| del(OpenMM::OutOfPlaneSite self) More...
Public Member Functions inherited from VirtualSite
def | __init__
def | __del__
| del(OpenMM::VirtualSite self) More...
def | getNumParticles
| getNumParticles(VirtualSite self) -> int More...
def | getParticle
| getParticle(VirtualSite self, int particle) -> int More...

## Public Attributes

| this

## Detailed Description

This is a VirtualSite that computes the particle location based on three other particles' locations.

If r1 is the location of particle 1, r12 is the vector from particle 1 to particle 2, and r13 is the vector from particle 1 to particle 3, then the virtual site location is given by

r1 + w12r12 + w13r13 + wcross(r12 x r13)

The three weight factors are user-specified. This allows the virtual site location to be out of the plane of the three particles.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::OutOfPlaneSite self, int particle1, int particle2, int particle3, double weight12, double weight13, double weightCross) -> OutOfPlaneSite init(OpenMM::OutOfPlaneSite self, OutOfPlaneSite other) -> OutOfPlaneSite

Create a new OutOfPlaneSite virtual site.

Parameters

  particle1 | the index of the first particle
  particle2 | the index of the second particle
  particle3 | the index of the third particle
  weight12 | the weight factor for the vector from particle1 to particle2
  weight13 | the weight factor for the vector from particle1 to particle3
  weightCross | the weight factor for the cross product

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::OutOfPlaneSite self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getWeight12 | ( |  | self,
|  |  | args
| ) |  |

getWeight12(OutOfPlaneSite self) -> double

Get the weight factor for the vector from particle1 to particle2.

References simtk.openmm.openmm.stripUnits().

def getWeight13 | ( |  | self,
|  |  | args
| ) |  |

getWeight13(OutOfPlaneSite self) -> double

Get the weight factor for the vector from particle1 to particle3.

References simtk.openmm.openmm.stripUnits().

def getWeightCross | ( |  | self,
|  |  | args
| ) |  |

getWeightCross(OutOfPlaneSite self) -> double

Get the weight factor for the cross product.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py